extends ../index.pug

block title
  | #{ templatedTitle('Destinations') }

block content
  if destinations.length === 0
    p #{ __("You have no destinations set up yet, do you want to create a new one?") }
  else
    form.my-6(action="/destinations/delete", method="POST")
      ul.mb-4
        each destination in destinations
          li.flex.gap-2
            label.flex.items-center.gap-2.flex-1
              input.peer.border.p-2.flex.gap-2.items-center(
                type="checkbox",
                name="destinations",
                value=destination.id
              )
              if destination.imageUrl
                img.w-12.h-12.rounded-full(
                  src=destination.imageUrl,
                  height=50,
                  width=50
                )
              else if destination.type == 'MBZ_DESTINATION'
                .h-12.w-12.rounded-full.fill-mbz-yellow-500
                  include ../icons/account.svg
              else if destination.type == 'WEBHOOK_DESTINATION'
                .h-12.w-12.rounded-full.fill-mbz-yellow-500
                  include ../icons/link.svg
              div
                p.text-lg.font-bold #{ destination.name }
                p.inline-flex.gap-1
                  case destination.type
                    when 'MBZ_DESTINATION'
                      span #{ __('Mobilizon') }
                    when 'WEBHOOK_DESTINATION'
                      span #{ __('Webhook') }
                  a(href=destination.targetUrl) #{ destination.targetUrl }
      if destinations.length > 0
        button.button-outlined(type="submit") #{ __('Delete destination') }
  p
    a.button-primary(href="/destinations/new") #{ __('Add new destination') }
